unit Check2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls,IniFiles;

type
  TForm1 = class(TForm)
    btnExit: TButton;
    Timer1: TTimer;
    Label1: TLabel;
    Procedure FormActivate(Sender:TObject);
    Procedure Timer1Timer(Sender:TObject);
    Procedure btnExitClick(Sender:TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

var
   piWait : byte;
   pbFound : boolean;
   psIniFile, psApPath : string;
{$R *.DFM}

function ApPath : string;
begin
   result := ExtractFilePath(application.ExEName);
end;


function ReadINI(sSecName,sAppName,sIniFile:string):string;
var Myini:TIniFile;
    tmpStr : string;
begin
   Myini:=TIniFile.Create(sInifile);
   Result :=Myini.ReadString(sSecName,sAppName,'Not_Found');
   Myini.Free;
   if result = 'Not_Found' then
      Result := '';
end;


Procedure TForm1.FormActivate(Sender:TObject);
begin
   piWait := 0;
   pbFound :=false;
   psApPath := Appath;
   psIniFile := ApPath + '\Ver2.ini';
end;


Procedure TForm1.Timer1Timer(Sender:TObject);
var
   iGen,iStopNo,iRunning : integer;
   iMemory : integer;
begin
   iMemory := 0;
   if not pbFound then
   begin
      iGen := strtoint('0'+ReadIni('Common','Gen_No', psIniFile));
      iStopNo := strtoint('0'+ReadIni('Common','Stop_No', psIniFile));
      iRunning := strtoint('0'+ReadIni('Common','Running', psIniFile));
      iMemory := strtoint('0'+ReadIni('Common','No_Memory', psIniFile));
      if iRunning = 0 then
      begin
         if (iStopNo <> 0) and (iMemory = 1) then
         begin
            pbFound := true;
            piWait := 0;
         end
      end;
   end
   else
   begin
      if piWait >= 2 then
          if WinExec(pchar(psApPath+'Ver2p.exe'),0) <= 31 then
          begin
             MessageDlg('Run'+psApPath+'Ver2p.exe' + 'fails !',mtError,[mbOK],0);
             application.Terminate;
          end
          else
          begin
             Label1.Caption := '';
             pbFound := false;
          end

      else
      begin
         Label1.Caption := inttostr(2-piWait) + 'minutes after, the program will star!';
         piWait := piWait + 1;
      end;
   end;
end;


Procedure TForm1.btnExitClick(Sender:TObject);
begin
   application.Terminate;
   exit;
end;

end.
