unit Init2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  IniFiles, StdCtrls, FileCtrl;

type
  TForm1 = class(TForm)
    lstFile: TFileListBox;
    procedure FormCreate(Sender:TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

function ApPath : string;
begin
   result := ExtractFilePath(application.ExEName);
end;


function ReadINI(sSecName,sAppName,sIniFile:string):string;
var
    Myini : TIniFile;
begin
   Myini := TIniFile.Create(sInifile);
   Result := Myini.ReadString(sSecName,sAppName,'Not_Found');
   Myini.Free;
   if result = 'Not_Found' then
      Result := '';
end;


procedure TForm1.FormCreate(Sender:TObject);
var
   sIniFile,FilePath1 : string;
   i : integer;
   Myini : TIniFile;
begin
   sIniFile := ApPath + 'Ver2.ini';
   Myini:=TIniFile.Create(sInifile);
   Myini.WriteString('Common','Running','0');
   Myini.WriteString('Common','Exit','0');
   Myini.WriteString('Common','Stop_No','0');
   Myini.WriteString('Common','No_Memory','0');
   Myini.Free;
   FilePath1 := ReadINI('Common','Tree_Path1',sIniFile);
   sIniFile := ApPath + 'Ver2A.ini';
   Myini := TIniFile.Create(sInifile);
   Myini.WriteString('Common','Running','0');
   Myini.WriteString('Common','Stop_No','0');
   Myini.Free;
   lstFile.Directory := FilePath1;
   lstFile.Mask := 'Gen*';
   lstFile.Update;

   for i := 0 to lstFile.Items.Count-1 do
      deletefile(trim(FilePath1)+'\'+lstFile.Items[i]);
   application.Terminate;
   exit;

end;

end.
